<% include ../partial/header.ejs %>
<% include ../partial/nav.ejs %>
<% include ../partial/sidebar.ejs %>
<!--main content start-->
  <section id="main-content">
        <section class="wrapper">
            <!-- page start-->
            <div class="row">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                           Users List
                            <span class="tools pull-right">
                                <a class="fa fa-chevron-down" href="javascript:;"></a>
                                <a class="fa fa-cog" href="javascript:;"></a>
                                <a class="fa fa-times" href="javascript:;"></a>
                             </span>
                        </header>
                        <div class="panel-body">

                            <div class="form">
                                <div class="row">
                                    <form class="cmxform form-horizontal" method="post" action="/user_add" id="commentForm" method="get" action="">

                                    <div class="col-md-8">
                                    <div class="form-group ">
                                        <label for="cname" class="control-label col-lg-3">Client Name</label>
                                        <div class="col-lg-6">
                                            <select name="clientId" class="form-control" required>
                                                <option> Please Select User</option>
                                                <% for(var i in response.user_client) { %>
                                                <option value="<%=response.user_client[i].id%>"><%=response.user_client[i].name%></option>
                                                <% } %>
                                                </select>
                                        </div>
                                    </div>
                                    <div class="form-group ">
                                        <label for="cname" class="control-label col-lg-3">Use billing address to shipping </label>
                                        <div class="col-lg-6">

                                        <input class="form-control" type="checkbox" name="billing_address" id="check_checked" checked required /> 
                                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#add_address">
                                            Add Address
                                       </button>
                                        </div>
                                       
                                    </div>
                                    <div id="check_insert">

                                    </div>


            
                                    <div class="form-group ">
                                            <label for="curl" class="control-label col-lg-3">Items/Expenses</label>
                                            <div class="col-lg-6">
                                        <select name="customPaymentId" class="form-control " id="my_custom_items">
                                            <option value="">Please Select Any One</option>
                                            <option value="0">Items</option>
                                            <option value="1">Expenses</option>
                                            </select>
                                           </div>
                                    </div> 


                                    <div class="form-group " id="items_data" style="display:none">
                                        <label for="cname" class="control-label col-lg-3">Items </label>
                                        <div class="col-lg-6">
                                            <select name="invoice_items" class="form-control" multiple>
                                                <% for(var i in response.user_items) { %>
                                                <option value="<%=response.user_items[i].id%>"><%=response.user_items[i].name%></option>
                                                <% } %>
                                                </select>
                                        </div>
                                    </div>


                                    <div class="form-group " id="expense_data" style="display:none">
                                            <label for="cname" class="control-label col-lg-3">Expenses </label>
                                            <div class="col-lg-6">
                                                <select name="invoice_expense" class="form-control" multiple>
                                                    <% for(var i in response.user_expense) { %>
                                                    <option value="<%=response.user_expense[i].id%>"><%=response.user_expense[i].merchant%></option>
                                                    <% } %>
                                                    </select>
                                            </div>
                                        </div>



                                    <div class="form-group ">
                                        <label for="curl" class="control-label col-lg-3">Comment</label>
                                       
                                            <div class="col-lg-6">
                                                <textarea class="form-control "  placeholder="Enter comment..." id="ccomment" name="comment" required></textarea>
                                        </div>
                                    </div>

                                    <div class="form-group ">
                                        <label for="curl" class="control-label col-lg-3">Payment details</label>
                                       
                                            <div class="col-lg-6">
                                                <textarea class="form-control "  placeholder="Enter details..." id="ccomment" name="paymentDetails" required></textarea>
                                        </div>
                                    </div>

                                    <div class="form-group ">
                                        <label for="curl" class="control-label col-lg-3">Attachment</label>
                                        <div class="col-lg-6">
                                            <input type="file" class="form-control " id="attachments" name="attachments[]" multiple="">
                                            </div>
                                    </div>

                                    <div class="form-group ">
                                        <label for="curl" class="control-label col-lg-3">Date</label>
                                        <div class="col-lg-6">
                                            <input class="form-control" placeholder="Enter contact information..." id="curl" type="date" name="invoiceDate" />
                                        </div>
                                    </div>

                                    <div class="form-group ">
                                        <label for="curl" class="control-label col-lg-3">Due date</label>
                                        <div class="col-lg-6">
                                            <input class="form-control" placeholder="Enter a phone number..." id="curl" type="date" name="dueDate" />
                                        </div>
                                    </div>
                                    <div class="form-group ">
                                        <label for="curl" class="control-label col-lg-3">Custom Payment Terms</label>
                                        <div class="col-lg-6">
                                    <select name="terms" class="form-control " id="custom_payment_terms">
                                        <option value="">please select terms</option>
                                                                            <option value="7">7 Days</option>
                                                                            <option value="14">14 Days</option>
                                                                            <option value="21">21 Days</option>
                                                                            <option value="28">28 Days</option>
                                                                            <option value="35">35 Days</option>
                                                                            <option value="42">42 Days</option>
                                                                            <option value="49">49 Days</option>
                                                                            <option value="56">56 Days</option>
                                                                            <option value="63">63 Days</option>
                                                                            <option value="70">70 Days</option>
                                                                            <option value="77">77 Days</option>
                                                                            <option value="84">84 Days</option>
                                        </select>
                                       </div></div> 

                                   




                                       <div style="overflow-y: auto; display: block;" id="item_table"><table class="table" style="border:1px solid #f2f2f2;"><tbody><tr style="height:40px;" bgcolor="#30C8BF"><th>S&nbsp;No.</th><th>Product Code</th><th>Description</th><th>Quantity</th><th>Rate</th><th id="unit_type_label">Unit&nbsp;Type</th><th>Amount</th><th id="test">Discount</th><th id="test2">Commission</th><th style="display:none;" id="test3">Tax(additional)</th></tr></tbody><tbody><tr><td>1.<input type="hidden" name="item_id[]" id="item_id1" style="width:60px; border:none; border-bottom:1px solid #bbb;" value="3"></td><td>test</td><td>123test</td><td><input type="text" class="numbers" name="quantity[]" id="quantity1" style="width:60px; border:none; border-bottom:1px solid #bbb;" value="1" onkeyup="calculate_amount_new(this.value);"></td><td><input type="number" class="numbers" name="rates[]" id="rates1" style="width:60px; border:none; border-bottom:1px solid #bbb;" value="12" onkeyup="calculate_amount_new(this.value);"></td><td><span id="unit_type_row_1"><select style="border:none; border-bottom:1px solid #bbb;" id="unit_types1" name="unit_types[]" readonly=""><option value="N">None</option><option value="H" selected="">Hours</option><option value="D">Day</option></select></span></td><td><input type="text" class="numbers" name="amount[]" id="amount1" style="width:60px; border:none; border-bottom:1px solid #bbb;" onkeyup="calculate_amount_new(this.value);" value="12" readonly=""></td><td class="item_calc"><input type="number" name="discount[]" step="0.01" class="discount_default" maxlength="2" id="discount1" style="width:60px; border:none; border-bottom:1px solid #bbb;" onkeyup="calculate_amount_new(this.value);" value="">%<input type="text" name="discount_amount[]" class="numbers" id="discount_amount1" style="width:60px; border:none; border-bottom:1px solid #bbb;" value="" readonly=""></td>  <td class="item_calc"> <input type="number" step="0.01" name="commision[]" maxlength="2" id="commision1" style="width:60px; border:none; border-bottom:1px solid #bbb;" onkeyup="calculate_amount_new(this.value);" value="">%<input type="text" name="commision_amount[]" class="numbers" id="commision_amount1" style="width:60px; border:none; border-bottom:1px solid #bbb;" value="" readonly="">    </td>


		

<td style="display:none;" class="item_calc"> <input type="number" name="tax_additional[]" id="tax_additional1" maxlength="2" style="width:60px; border:none; border-bottom:1px solid #bbb;" onkeyup="calculate_amount_new(this.value);" value="">%<input type="text" name="tax_additional_amount[]" class="numbers" id="tax_additional_amount1" style="width:60px; border:none; border-bottom:1px solid #bbb;" value="" readonly="">    </td>


</tr></tbody></table><input type="hidden" name="counter" id="counter" style="width:60px; border:none; border-bottom:1px solid #bbb;" value="1"><input type="hidden" name="total_items_amount" id="total_items_amount" value="12"><input type="hidden" name="subtotal_amount" id="subtotal_amount" value="12"><input type="hidden" name="tax_type_str" id="tax_type_str" style="width:60px; border:none; border-bottom:1px solid #bbb;" value=""><input type="hidden" name="taxed_amount" id="taxed_amount" style="width:60px; border:none; border-bottom:1px solid #bbb;" value=""><input type="hidden" name="taxed_amount_counter" id="taxed_amount_counter" style="width:60px; border:none; border-bottom:1px solid #bbb;" value="1"><input type="hidden" name="total_vat_amount_item" id="total_vat_amount_item" value=""><input type="hidden" name="total_withholding_amount_item" id="total_withholding_amount_item" value=""><input type="hidden" name="total_discount_item" id="total_discount_item" value=""><input type="hidden" name="enable_with" id="enable_with" value=""></div>


                                 
                                </div>
                                <div class=" col-md-4 col-sm-12 col-xs-12" style=" margin-bottom:10px; border-bottom:0px solid; margin-top:3px; padding:0px; ">
                                    <div class="col-md-4 col-sm-4 col-xs-12 other_tax" style="padding:0px;">
                                           <div>Other Tax:-</div>
                                       </div>
                                       <div class="col-md-8 col-sm-8 col-xs-12 other_tax" style=" padding:0px; line-height: 24px;">
                                     
                                           <div><span>$&nbsp;</span><input type="text" name="tax1" id="tax1" style="width:auto;  border:none; border-bottom:1px solid #bbb;" placeholder="enter tax %" value="" onkeyup="calculate_amount_new(this.value);"></div>
                                       </div>
   
   
   
   
   
   
   
                                       <div class="col-md-4 col-sm-4 col-xs-12 " style="padding:0px;">
                                           <div>SubTotal:-</div>
                                       </div>
                                       <div class="col-md-8 col-sm-8 col-xs-12" style=" padding:0px; line-height: 24px;">
                                     
        <div><span>$&nbsp;</span><input type="text" name="subtotal" id="subtotal" style="width:auto;  border:none; border-bottom:1px solid #bbb;" value="0.00" readonly=""></div>
                                       </div>
   
   
   
   
                                           <div class="col-md-4 col-sm-4 col-xs-12 " style="padding:0px;">
                                           <div>Commision:-</div>
                                       </div>
                                            <div class="col-md-8 col-sm-8 col-xs-12" style=" padding:0px; line-height: 24px;">
                                       
                                           <div><span>$&nbsp;</span><input type="text" name="total_commision_amount" id="commision_amount" style="width:auto; border:none; border-bottom:1px solid #bbb;" value="0.00" onkeyup="calculate_amount(this.value);" maxlength="2" readonly=""></div>
                                           
                                       </div>
   
   
    <div class="col-md-4 col-sm-4 col-xs-12 " style="padding:0px;">
                                           <div>Discount:-</div>
                                       </div>
                                            <div class="col-md-8 col-sm-8 col-xs-12" style=" padding:0px; line-height: 24px;">
                                       
                                           <div><span>$&nbsp;</span><input type="text" name="total_discount_amount" id="discount_amount" style="width:auto; border:none; border-bottom:1px solid #bbb;" value="0.00" onkeyup="calculate_amount_new_expense(this.value);" maxlength="2" readonly=""></div>
                                           
                                       </div>
   
                        <div class="col-md-4 col-sm-4 col-xs-12 " style="padding:0px;">
                                           <div>Total Tax:-</div>
                                       </div>
                                           <div class="col-md-8 col-sm-8 col-xs-12" style=" padding:0px; line-height: 24px;">
                                      
                                           <div><span>$&nbsp;</span><input type="text" name="vat_amount" id="vat_amount" style="width:auto; border:none; border-bottom:1px solid #bbb;" value="0.00" maxlength="2" readonly=""></div>
                                           
                                           </div>
   
   
                                           <div class="col-md-4 col-sm-4 col-xs-12 " style="padding:0px;">
                                           <div>Withholding Tax:-</div>
                                       </div>
                                       <div class="col-md-8 col-sm-8 col-xs-12" style=" padding:0px; line-height: 24px; margin-bottom:10px;">
                                       
                                           <div><span>$&nbsp;</span><input type="text" name="total_withholding_tax" id="withholding_amount" style="width:auto; border:none; border-bottom:1px solid #bbb;" value="0.00" readonly=""></div>
                                       
                                           </div>
                                           
                                       <div class="col-md-10 col-sm-12 col-xs-12" style="border-bottom:1px solid #f2f2f2;"></div>
                                        
                                            <div class="col-md-4 col-sm-4 col-xs-12 " style="padding:0px; ">
                                                <div><b>Total:-</b></div>
                                               
                                           </div>
                                           <div class="col-md-8 col-sm-8 col-xs-12" style="padding:  0px; line-height: 24px;">
                                               <div><span>$&nbsp;</span><input type="text" name="total" id="total" style="width:auto; border:none; border-bottom:1px solid #bbb;" value="0.00" readonly=""></div>
                                           </div>
                                           
                                           <div class="col-md-4 col-sm-4 col-xs-12 " style="padding:0px;">
                                              <div>Paid:-</div>
                                           </div>
                                           <div class="col-md-8 col-sm-8 col-xs-12" style="padding:  0px; line-height: 24px;">
                                                 <div><span>$&nbsp;</span><input type="text" name="paid" id="paid" style="width:auto; border:none; border-bottom:1px solid #bbb;" value="0.00" readonly=""></div>
                                           </div>
                                               
                                           <div class="col-md-4 col-sm-4 col-xs-12 " style="padding:0px;">
                                                <div>Balance:-</div>
                                           </div>
                                           
                                           
                                           
                                           
                                       <div class="col-md-8 col-sm-8 col-xs-12" style="padding:0px; line-height: 24px;">
                                       
                                           
                                         
                                           <div class="col-md-12" style="padding:0px;"><span>$&nbsp;</span><input type="text" name="balance" id="balance" style="width:auto; border:none; border-bottom:1px solid #bbb;" value="0.00" readonly=""></div>
                                       </div>
                                       
                                   </div>
                                   </div>
                                   <div class="form-group">
                                    <div class="col-lg-offset-3 col-lg-6">
                                        <button class="btn btn-primary" type="submit">Save</button>
                                        <button class="btn btn-default" type="button">Cancel</button>
                                    </div>
                                </div>
                            </form>
                            </div>

                        </div>
                    </section>
                </div>
            </div>

            <!--  =====================  model ============================= -->

            <!-- Modal -->
<div class="modal fade" id="add_address" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Add Address</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                <label for="wheeler_name" class="control-label col-lg-3">Amount($)&nbsp;</label>
                <div>
					<input class="form-control" id="shipping_amount" name="shipping_amount" type="text" value="" required>
                </div>
                <label for="wheeler_name" class="control-label col-lg-3">Ship Date</label>
                <div>
                    <input class="form-control hasDatepicker" id="ship_date" name="ship_date" type="date" value="">
                </div>
                <label for="wheeler_name" class="control-label col-lg-3">Ship Via</label>
                <div>
                    <input class="form-control" id="ship_via" name="ship_via" type="text" value="" placeholder="Enter a shipping method..." required="">
                </div>
                <label for="wheeler_name" class="control-label col-lg-6">Tracking Number</label>
                <div>
                    <input class="form-control" id="tracking_number" name="tracking_number" type="text" value="" required="" placeholder="Enter a tracking number...">
                        
                    </div>
                    <label for="wheeler_name" class="control-label col-lg-3">FOB</label>
                    <div>
                        <input class="form-control" id="fob" name="fob" type="text" value="" required="" placeholder="Enter a free shipping method...">
                    </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" class="btn btn-primary" data-dismiss="modal">Save</button>
            </div>
          </div>
        </div>
      </div>
         
            <!-- page end-->
        </section>
    </section>

    <% include ../partial/footer.ejs %>

    <script>
        $(document).on('change',"#check_checked",function(){
            if($(this).prop('checked')) {
                $('#check_insert').html(' ');
            } else {
               var html ='<div class="form-group "><label for="curl" class="control-label col-lg-3">Shipping address </label><div class="col-lg-6"><input class="form-control" placeholder="Enter a shipping address..." id="curl" type="text" name="shippingAddress" /></div></div>';
            $('#check_insert').html(html);
            }
        });
        
        $(document).on('change','#my_custom_items',function(){
            var value =$( "#my_custom_items option:selected" ).val();
           if(value==0 || value=='0'){
               $('#expense_data').hide();
               $('#items_data').show();
           }else{
               $('#expense_data').show();
               $('#items_data').hide();
           }
        });
        </script>